[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]
[tor-commits] [torbrowser/maint-2.2] remove spurious running processes check from linux tbbs. they are no longer needed since we have autoport configuration now.
commit cb7e4e5f01d2050696efd7687307c5dbb129e4c0
Author: Erinn Clark <erinn@xxxxxxxxxxxxxx>
Date: Mon Aug 29 23:42:15 2011 +0100
remove spurious running processes check from linux tbbs. they are no longer needed since we have autoport configuration now.
---
src/RelativeLink/RelativeLink.sh | 49 ++++++-------------------------------
1 files changed, 8 insertions(+), 41 deletions(-)
diff --git a/src/RelativeLink/RelativeLink.sh b/src/RelativeLink/RelativeLink.sh
index 1d2f4e3..579612c 100755
--- a/src/RelativeLink/RelativeLink.sh
+++ b/src/RelativeLink/RelativeLink.sh
@@ -173,48 +173,15 @@ export LD_LIBRARY_PATH
DYLD_PRINT_LIBRARIES=1
export DYLD_PRINT_LIBRARIES
-# if any relevant processes are running, inform the user and exit cleanly
-RUNNING=0
-RUNNING_MESSAGE=""
-for process in tor vidalia
- # FIXME pidof isn't POSIX
- do pid="`pidof $process`"
- if [ -n "$pid" ]; then
- RUNNING_MESSAGE="`printf "%s\n%s is already running as PID %s." "$RUNNING_MESSAGE" "$process" "$pid"`"
- RUNNING=1
- fi
- done
-
-if [ "$RUNNING" -eq 1 ]; then
- complain "`printf "%s\n\nPlease shut down the above process(es) before running Tor Browser Bundle." "$RUNNING_MESSAGE"`"
- exit 1
-fi
-
-
if [ "${debug}" ]; then
- if [ -n "${surveysays}" ]; then
- printf "\nSurvey says: $surveysays\n\n"
- fi
-
- # this is likely unportable to Mac OS X or other netstat binaries
- for port in "8118" "9050"
- do
- BOUND="`netstat -tan 2>&1|grep 127.0.0.1":${port}[^:]"|grep -v TIME_WAIT`"
- if [ "${BOUND}" ]; then
- printf "\nLikely problem detected: It appears that you have something listening on ${port}\n"
- printf "\nWe think this because of the following:\n${BOUND}\n"
- fi
- done
-
- printf "\nStarting Vidalia now\n"
- cd "${HOME}"
- printf "\nLaunching Vidalia from: `pwd`\n"
- # XXX Someday we should pass whatever command-line arguments we got
- # (probably filenames or URLs) to Firefox.
- ./App/vidalia --loglevel debug --logfile vidalia-debug-log \
- --datadir Data/Vidalia/
- printf "\nVidalia exited with the following return code: $?\n"
- exit
+ printf "\nStarting Vidalia now\n"
+ cd "${HOME}"
+ printf "\nLaunching Vidalia from: `pwd`\n"
+ # XXX Someday we should pass whatever command-line arguments we got
+ # (probably filenames or URLs) to Firefox.
+ ./App/vidalia --loglevel debug --logfile vidalia-debug-log \
+ --datadir Data/Vidalia/
+ printf "\nVidalia exited with the following return code: $?\n"
fi
# not in debug mode, run proceed normally
_______________________________________________
tor-commits mailing list
tor-commits@xxxxxxxxxxxxxxxxxxxx
https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-commits